Skip to main content
Resource Center/Network Service/Network Service Operations/Shared Bandwidth Operations

QueryVpcSharedQos

QueryVpcSharedQos

GET/zstack/v1/vips/sharedqos
GET/zstack/v1/vips/sharedqos/{uuid}

Operation ID

QueryVpcSharedQos

Since

5.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    VpcSharedQosInventoryRequired

    Seeinventories.

  • error
    ErrorCodeRequired

    Error code. If it is not null, it means the operation failed. If the operation is successful, this field is null. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • l3NetworkUuid
    StringRequired

    UUID of L3 Network.

  • vpcUuid
    StringRequired

    The VPC vRouter UUID.

  • bandwidth
    LongRequired

    The bandwidth size.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • vips
    ListRequired

    See vips.

  • id
    LongRequired

    The resource ID.

  • sharedQosUuid
    StringRequired

    The shared QoS UUID.

  • vipUuid
    StringRequired

    VIP UUID

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • Change Time

    AddedResponse fields bandwidth, createDate, id...
    View API